## org.eclipse.emf.codegen.ecore.genmodel.handler
Class GenerateHandler.GenModelSelectionDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.ui.dialogs.SelectionDialog
                      org.eclipse.ui.dialogs.SelectionStatusDialog
                          org.eclipse.ui.dialogs.FilteredItemsSelectionDialog
                              org.eclipse.ui.dialogs.FilteredResourcesSelectionDialog
                                  org.eclipse.emf.codegen.ecore.genmodel.handler.GenerateHandler.GenModelSelectionDialog

All Implemented Interfaces:
  IShellProvider

Enclosing class:
  GenerateHandler

    protected static class GenerateHandler.GenModelSelectionDialog

extends FilteredResourcesSelectionDialog

Nested Class Summary
`protected class` `GenerateHandler.GenModelSelectionDialog.GenModelResourceFilter`

Nested classes/interfaces inherited from class org.eclipse.ui.dialogs.FilteredResourcesSelectionDialog
`FilteredResourcesSelectionDialog.ResourceFilter`

Nested classes/interfaces inherited from class org.eclipse.ui.dialogs.FilteredItemsSelectionDialog
`FilteredItemsSelectionDialog.AbstractContentProvider, FilteredItemsSelectionDialog.ItemsFilter, FilteredItemsSelectionDialog.SelectionHistory`

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`Window.IExceptionHandler`

Field Summary
`protected IContainer` `container`
`protected java.util.List<GenModel>` `genModels`
`protected Point` `location`
`protected Point` `size`
`protected IStatus` `status`
`protected StatusLineManager` `statusLineManager`

Fields inherited from class org.eclipse.ui.dialogs.FilteredItemsSelectionDialog
`CARET_BEGINNING, FULL_SELECTION, NONE`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`GenerateHandler.GenModelSelectionDialog(Shell shell, boolean multi, IContainer container, int typesMask)`

Method Summary
`protected void` `cancelPressed()`
`boolean` `close()`
`protected void` `configureShell(Shell newShell)`
`void` `create()`
`protected void` `createButtonsForButtonBar(Composite parent)`
`protected Control` `createDialogArea(Composite parent)`
`protected FilteredItemsSelectionDialog.ItemsFilter` `createFilter()`
`java.util.List<GenModel>` `getGenModels()`
`Point` `getLocation()`
`Point` `getSize()`
`void` `initialize(Point size, Point location)`
`protected void` `okPressed()`
`protected void` `updateStatus(IStatus status)`

Methods inherited from class org.eclipse.ui.dialogs.FilteredResourcesSelectionDialog
`applyFilter, createExtendedContentArea, fillContentProvider, fillViewMenu, getDialogSettings, getElementName, getItemsComparator, getResult, open, restoreDialog, setTitle, storeDialog, validateItem`

Methods inherited from class org.eclipse.ui.dialogs.FilteredItemsSelectionDialog

`accessedHistoryItem, addListFilter, computeResult, fillContextMenu, getDialogBoundsSettings, getInitialPattern, getPatternControl, getSelectedItems, getSelectionHistory, handleDoubleClick, handleSelected, isDuplicateElement, isHistoryElement, refresh, reloadCache, removeHistoryItem, scheduleProgressMessageRefresh, scheduleRefresh, setDetailsLabelProvider, setInitialPattern, setInitialPattern, setListLabelProvider, setListSelectionLabelDecorator, setSelectionHistory, setSeparatorLabel, updateProgressLabel`

Methods inherited from class org.eclipse.ui.dialogs.SelectionStatusDialog
`createButtonBar, getFirstResult, setImage, setResult, setStatusLineAboveButtons, updateButtonsEnableState`

Methods inherited from class org.eclipse.ui.dialogs.SelectionDialog
`createMessageArea, getDialogBoundsStrategy, getInitialElementSelections, getInitialSelections, getMessage, getOkButton, isResizable, setDialogBoundsSettings, setInitialElementSelections, setInitialSelections, setMessage, setResult, setSelectionResult`

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`closeTray, createHelpControl, getLayout, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, createButton, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### container

    protected IContainer container

### status

    protected IStatus status

### statusLineManager

    protected StatusLineManager statusLineManager

### genModels

    protected java.util.List<GenModel> genModels

### size

    protected Point size

### location

    protected Point location

Constructor Detail

### GenerateHandler.GenModelSelectionDialog

    public GenerateHandler.GenModelSelectionDialog(Shell shell,
                                                   boolean multi,
                                                   IContainer container,
                                                   int typesMask)

Method Detail

### initialize

    public void initialize(Point size,
                           Point location)

### getGenModels

    public java.util.List<GenModel> getGenModels()

### getSize

    public Point getSize()

### getLocation

    public Point getLocation()

### configureShell

    protected void configureShell(Shell newShell)

  Overrides:
    `configureShell` in class `SelectionStatusDialog`

### create

    public void create()

  Overrides:
    `create` in class `FilteredItemsSelectionDialog`

### createDialogArea

    protected Control createDialogArea(Composite parent)

  Overrides:
    `createDialogArea` in class `FilteredItemsSelectionDialog`

### createButtonsForButtonBar

    protected void createButtonsForButtonBar(Composite parent)

  Overrides:
    `createButtonsForButtonBar` in class `SelectionDialog`

### createFilter

    protected FilteredItemsSelectionDialog.ItemsFilter createFilter()

  Overrides:
    `createFilter` in class `FilteredResourcesSelectionDialog`

### updateStatus

    protected void updateStatus(IStatus status)

  Overrides:
    `updateStatus` in class `FilteredItemsSelectionDialog`

### cancelPressed

    protected void cancelPressed()

  Overrides:
    `cancelPressed` in class `Dialog`

### close

    public boolean close()

  Overrides:
    `close` in class `FilteredItemsSelectionDialog`

### okPressed

    protected void okPressed()

  Overrides:
    `okPressed` in class `FilteredItemsSelectionDialog`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.